Name:               python-freezegun
Version:            0.3.8
Release:            12
Summary:            A python library about tests travel through time
License:            ASL 2.0
URL:                https://pypi.io/project/freezegun
Source0:            https://pypi.io/packages/source/f/freezegun/freezegun-%{version}.tar.gz
BuildArch:          noarch

%description
Simulate the datetime module with the python-freezegun library, allowing your python
tests to travel through time.

%package -n python2-freezegun
Summary:            A python library about tests travel through time
BuildRequires:      python2-devel python2-setuptools python2-six python2-dateutil python2-sure
BuildRequires:      python2-nose python2-coverage python2-mock
Requires:           python2-six python2-dateutil
%{?python_provide:%python_provide python2-freezegun}

%description -n python2-freezegun
Simulate the datetime module with the python-freezegun library, allowing your python
tests to travel through time.

%package -n python3-freezegun
Summary:            A python library about tests travel through time
BuildRequires:      python3-devel python3-setuptools python3-six python3-dateutil python3-sure
BuildRequires:      python3-nose python3-coverage python3-mock
Requires:           python3-six python3-dateutil
%{?python_provide:%python_provide python3-freezegun}

%description -n python3-freezegun
Simulate the datetime module with the python-freezegun library, allowing your python
tests to travel through time.

%prep
%autosetup -n freezegun-%{version}
rm -rf freezegun.egg-info
rm -rf %{py3dir}
cp -a . %{py3dir}
%build
%py2_build
cd %{py3dir}
%py3_build
cd -
%install
cd %{py3dir}
%py3_install
cd -
%py2_install
%check
cd %{py3dir}
nosetests-%{python3_version} tests/
cd -
nosetests-%{python2_version} tests/

%files -n python2-freezegun
%doc README.rst LICENSE
%{python2_sitelib}/freezegun/
%{python2_sitelib}/freezegun-%{version}*

%files -n python3-freezegun
%doc README.rst LICENSE
%{python3_sitelib}/freezegun/
%{python3_sitelib}/freezegun-%{version}-*

%changelog
* Tue Nov 26 2019 Ling Yang <lingyang2@huawei.com> - 0.3.8-12
- Package init
